# formbuilder

> Made with create-react-library

[![NPM](https://img.shields.io/npm/v/formbuilder.svg)](https://www.npmjs.com/package/formbuilder) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)

## Install

```bash
npm install --save formbuilder
```

## Usage

```jsx
import React from 'react'
import 'formbuilder/dist/index.css'
import FormBuilder from 'formbuilder'
import { Yup } from 'formbuilder'

const App = () => {
  const initialValues = {
    name: null,
    email: null,
    gender: null,
    photo: null,
    about: null,
    phone
  }

  const onSubmit = (data) => {
    console.log(data)
  }
  return (
    <div>
      <FormBuilder
        initialValues={initialValues}
        data={[
          {
            type: 'text',
            label: 'Name',
            name: 'name',
            placeholder: 'Enter Name',
            validationType: 'string',
            validation: true,
            validators: [
              { type: 'required' },
              { type: 'nullable', value: true }
            ]
          },

          {
            type: 'select',
            name: 'gender',
            label: 'Gender',
            placeholder: 'Add Property Status',
            validationType: 'string',
            options: [
              { label: 'Male', value: 'male' },
              { label: 'Female', value: 'female' }
            ]
          },

          {
            type: 'textarea',
            name: 'about',
            label: 'Anout',
            validationType: 'stirng',
            placeholder: 'Enter About',
            validation: true,
            validators: [{ type: 'nullable', value: true }]
          },
          {
            type: 'text',
            name: 'phone',
            label: 'Phone Number',
            validationType: 'number',
            placeholder: 'Enter Phone Number',
            validators: [
              { type: 'required' },
              { type: 'nullable', value: true }
            ]
          },

          {
            type: 'heading',
            name: 'Email Details'
          },

          {
            type: 'text',
            label: 'Email',
            name: 'email',
            placeholder: 'Enter email',
            validationType: 'string',
            validation: true,
            validators: [{ type: 'nullable', value: true }]
          },

          {
            type: 'upload',
            uploadType: 'image',
            label: 'Upload Photo',
            name: 'photo'
          },

          { type: 'button', name: 'Submit' }
        ]}
        onSubmit={(data) => onSubmit(data)}
      />
    </div>
  )
}

export default App
```

## License

MIT © [](https://github.com/)
